Subject: Re: [PATCH] Fix build failure when CONFIG_NLS is set to 'm' by allmodconfig

From: OGAWA Hirofumi <[email-masked]>
Date: Tue, 29 Mar 2011 10:55:27 +0900

Randy Dunlap <[email-masked]> writes:

>> I don't get this.. you should not be getting CONFIG_NLS=m unless you
>> have stripped you config files really.. :-) Is it possible to get
>> your .config to hit this issue.
>
> I haven't stripped any config files -- but they are randconfig files.
> Two (2) config files that cause build failures are attached.

config PCI_IOAPIC
	bool
	depends on PCI
	depends on ACPI
	depends on HOTPLUG
	default y

select NLS if (DMI || ACPI)

I guess this is simply wrong. It will be parsed as

config PCI_IOAPIC
	bool
	depends on PCI
	depends on ACPI
	depends on HOTPLUG
	default y
	select NLS if (DMI || ACPI)

How about something like the following?

config PCI_LABEL
	bool
        select NLS
        depends on (DMI || ACPI)
-- 
OGAWA Hirofumi <[email-masked]>